#!/usr/bin/env python3

import os.path as path

from keras.layers import *
from keras.models import Sequential

model = Sequential()

model.add(Conv2D(64, 3, padding="same", input_shape=(32, 32, 3)))
model.add(BatchNormalization(scale=False))
model.add(Activation("relu"))
for _ in range(2):
    model.add(Conv2D(64, 3, padding="same"))
    model.add(BatchNormalization(scale=False))
    model.add(Activation("relu"))
model.add(AveragePooling2D(pool_size=2))

for _ in range(3):
    model.add(Conv2D(128, 3, padding="same"))
    model.add(BatchNormalization(scale=False))
    model.add(Activation("relu"))
model.add(AveragePooling2D(pool_size=2))

for _ in range(3):
    model.add(Conv2D(256, 3, padding="same"))
    model.add(BatchNormalization(scale=False))
    model.add(Activation("relu"))
model.add(AveragePooling2D(pool_size=2))

model.add(Flatten())
model.add(Dense(512))
model.add(BatchNormalization(scale=False))
model.add(Activation("relu"))
model.add(Dense(10))
model.add(Activation("softmax"))

# Loading weights is a way to check that the architecture is correct
model.load_weights(path.join("models", "ann", "conv_cifar10.h5"))

model.compile(optimizer="rmsprop",
              loss="categorical_crossentropy",
              metrics=[])
model.save(path.join("models", "ann", "conv_cifar10_snn-tb.h5"))
